import { sveltekit } from '@sveltejs/kit/vite';
import { svelte } from '@sveltejs/vite-plugin-svelte';

console.log(import.meta);
/** @type {import('vite').UserConfig} */
const config = {
    plugins: [svelte()],
    test: {
        include: ['src/**/*.{test,spec}.{js,ts}'],
    },
    resolve: {
        alias: {
            $lib:
                import.meta.url.replace('file://', '').replace(/[^/]+$/, '') +
                'src/lib',
        },
    },
};

export default config;
